petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawStringCentered

PetscDraws text onto a drawable centered at a point

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawStringCentered(PetscDraw draw,PetscReal xc,PetscReal yl,int cl,const char text[])

Not Collective

### Input Parameters

| draw | - the drawing context
| xc | - the coordinates of right-left center of text
| yl | - the coordinates of lower edge of text
| cl | - the color of the text
| text | - the text to draw

### See Also

PetscDrawStringVertical(), PetscDrawString(), PetscDrawStringBoxed(), PetscDrawStringBoxed(), PetscDrawStringSetSize(),
PetscDrawStringGetSize()

### Level

beginner

### Location

src/sys/classes/draw/interface/dtext.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages